#!/usr/bin/sh
# Please use this script to run the sample. Make sure that you properly set
# up the OSS_ASN1_JAVA, CLASSPATH and PATH environment variables before running
# this script.  You can set up JAVAC and JAVA environment variables to
# customize Java compiler/interpreter.

ACTION=${1:-"javac"}

case ${ACTION} in
    "cleanup")
	rm -f relay.log
	rm -f *.class
	break;;
	
    "javac")
	CLASSPATH=`pwd`:$CLASSPATH; export CLASSPATH
	JAVAC=${JAVAC:-javac}
	JAVA=${JAVA:-java}
	echo "ASN.1-compiling the syntax..."
	echo ""
	asn1pjav relay -per -relaysafe -err relay.log
	if [ $? -eq 0 ]; then 
	    cd relay
	    echo "Java-compiling generated classes..."
	    echo ""
	    sh relay.sh 2>&1 >> ../relay.log
	    cd ..
	    ${JAVAC} *.java 2>&1 >> relay.log
	    if [ -f V2Peer.class ]; then
		echo "Running the test...";
		echo ""
		${JAVA} V2Peer;
	    fi
	fi
	rm -fr relay
	break;;

    *)
	echo "Invalid argument \"$1\"."
	echo ""
	break;;
    
esac
